import React from 'react';
import type { SandpackRootProps } from './component/SandpackRoot';
import './style/index.less';
declare type SandpackProps = {
    /**
     * @description a fallback children when sandpack failed to load
     */
    fallback?: React.ReactNode;
};
declare function Sandpack({ fallback, ...props }: SandpackProps & SandpackRootProps): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof Sandpack>;
export default _default;
