var _excluded = ["fallback"];

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { memo } from 'react';
import ErrorBoundary from './component/ErrorBoundary';
import SandpackRoot from './component/SandpackRoot';
import "./style/index.css";

function Sandpack(_ref) {
  var fallback = _ref.fallback,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return (
    /*#__PURE__*/
    // @ts-ignore
    React.createElement(ErrorBoundary, {
      fallback: fallback != null ? fallback : props.children
    }, /*#__PURE__*/React.createElement(SandpackRoot, _extends({}, props)))
  );
}

export default /*#__PURE__*/memo(Sandpack);