import React from 'react';
declare type ErrorBoundaryProps = {
    children: React.ReactNode;
    fallback: React.ReactNode;
};
declare type ErrorBoundaryState = {
    hasError: boolean;
};
declare class ErrorBoundary extends React.Component<ErrorBoundaryProps, ErrorBoundaryState> {
    state: {
        hasError: boolean;
    };
    static getDerivedStateFromError(error: Error): {
        hasError: boolean;
    };
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): React.ReactNode;
}
export default ErrorBoundary;
