export default {
  name: '@taro-hooks/sandpack-template',
  version: '1.0.0',
  templateInfo: {
    name: 'taro-hooks',
    typescript: true,
    css: 'none'
  },
  main: '/src/app.ts',
  scripts: {
    'build:weapp': 'taro build --type weapp',
    'build:swan': 'taro build --type swan',
    'build:alipay': 'taro build --type alipay',
    'build:tt': 'taro build --type tt',
    'build:h5': 'taro build --type h5',
    'build:rn': 'taro build --type rn',
    'build:qq': 'taro build --type qq',
    'build:jd': 'taro build --type jd',
    'build:quickapp': 'taro build --type quickapp',
    'dev:weapp': 'npm run build:weapp -- --watch',
    'dev:swan': 'npm run build:swan -- --watch',
    'dev:alipay': 'npm run build:alipay -- --watch',
    'dev:tt': 'npm run build:tt -- --watch',
    'dev:h5': 'npm run build:h5 -- --watch',
    'dev:rn': 'npm run build:rn -- --watch',
    'dev:qq': 'npm run build:qq -- --watch',
    'dev:jd': 'npm run build:jd -- --watch',
    'dev:quickapp': 'npm run build:quickapp -- --watch'
  },
  browserslist: ['last 3 versions', 'Android >= 4.1', 'ios >= 8'],
  engines: {
    node: '>=12.0.0'
  }
};