"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = function (template) {
  return "\nconst config = {\n  projectName: 'taro-hooks-sandpack',\n  date: '2022-5-6',\n  designWidth: 750,\n  deviceRatio: {\n    640: 2.34 / 2,\n    750: 1,\n    828: 1.81 / 2,\n  },\n  sourceRoot: 'src',\n  outputRoot: 'dist',\n  plugins: ['@taro-hooks/plugin-" + template + "'],\n  defineConstants: {},\n  copy: {\n    patterns: [],\n    options: {},\n  },\n  framework: '" + template + "',\n  mini: {\n    postcss: {\n      pxtransform: {\n        enable: true,\n        config: {},\n      },\n      url: {\n        enable: true,\n        config: {\n          limit: 1024, // \u8BBE\u5B9A\u8F6C\u6362\u5C3A\u5BF8\u4E0A\u9650\n        },\n      },\n      cssModules: {\n        enable: false, // \u9ED8\u8BA4\u4E3A false\uFF0C\u5982\u9700\u4F7F\u7528 css modules \u529F\u80FD\uFF0C\u5219\u8BBE\u4E3A true\n        config: {\n          namingPattern: 'module', // \u8F6C\u6362\u6A21\u5F0F\uFF0C\u53D6\u503C\u4E3A global/module\n          generateScopedName: '[name]__[local]___[hash:base64:5]',\n        },\n      },\n    },\n  },\n  h5: {\n    publicPath: '/',\n    staticDirectory: 'static',\n    postcss: {\n      autoprefixer: {\n        enable: true,\n        config: {},\n      },\n      cssModules: {\n        enable: false, // \u9ED8\u8BA4\u4E3A false\uFF0C\u5982\u9700\u4F7F\u7528 css modules \u529F\u80FD\uFF0C\u5219\u8BBE\u4E3A true\n        config: {\n          namingPattern: 'module', // \u8F6C\u6362\u6A21\u5F0F\uFF0C\u53D6\u503C\u4E3A global/module\n          generateScopedName: '[name]__[local]___[hash:base64:5]',\n        },\n      },\n    },\n  },\n};\n\nmodule.exports = function (merge) {\n  if (process.env.NODE_ENV === 'development') {\n    return merge({}, config, require('./dev'));\n  }\n  return merge({}, config, require('./prod'));\n};\n";
};