"use strict";

var _excluded = ["fallback"];

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

Object.defineProperty(exports, "__esModule", {
  value: true
});

var tslib_1 = require("tslib");

var react_1 = tslib_1.__importStar(require("react"));

var ErrorBoundary_1 = tslib_1.__importDefault(require("./component/ErrorBoundary"));

var SandpackRoot_1 = tslib_1.__importDefault(require("./component/SandpackRoot"));

require("./style/index.less");

function Sandpack(_ref) {
  var fallback = _ref.fallback,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return (// @ts-ignore
    react_1["default"].createElement(ErrorBoundary_1["default"], {
      fallback: fallback != null ? fallback : props.children
    }, react_1["default"].createElement(SandpackRoot_1["default"], _extends({}, props)))
  );
}

exports["default"] = (0, react_1.memo)(Sandpack);