"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dealSubFilePath = void 0;
/**
 * due to sandpack display tab file to last file name
 * @param {string} filePath
 * @returns {string}
 */

function dealSubFilePath(filePath) {
  var isSub = filePath.includes('/');
  if (!isSub) return filePath; // check sub -> index.xxx

  var _filePath$split = filePath.split('/'),
      main = _filePath$split[0],
      sub = _filePath$split[1];

  if (filePath.includes('/index.')) {
    return main + sub.replace('index', '');
  }

  return sub;
}

exports.dealSubFilePath = dealSubFilePath;